Companies

Count a company's contacts

Count the company's active contacts per section: `current` (at least one current role there) and `past` (only past or unknown roles there). Archived contacts are not counted. 404 `record_not_found` wh

GET /v2/companies/{companyId}/contact-counts

Parameters

Path parameters

companyId
string (uuid) required

Responses

200 — Successful response

Content-Type: application/json

data
object required
data.contact_counts
object required
data.contact_counts.current
integer required
data.contact_counts.past
integer required

Example

{
  "data": {
    "contact_counts": {
      "current": 0,
      "past": 0
    }
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v2/companies/00000000-0000-0000-0000-000000000000/contact-counts \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026